Debian Bug report logs - #605255
live-build: lb_config does not document "none" value for --initramfs

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Lars Wirzenius <liw@liw.fi>

Date: Sun, 28 Nov 2010 14:15:04 UTC

Severity: minor

Found in version live-build/2.0.6-1

Fixed in versions live-build/2.0.8-1, live-build/3.0~a8-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#605255; Package live-build. (Sun, 28 Nov 2010 14:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 28 Nov 2010 14:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: lb_config does not document "none" value for --initramfs
Date: Sun, 28 Nov 2010 14:12:39 +0000
Package: live-build
Version: 2.0.6-1
Severity: minor

I was whining on IRC about live-build not be able to build a non-live
image for me, and Daniel Baumann suggested using "--initramfs none".
This value is not documented on the manpage, but also the command does
not complain about it. So either the command should check that the
value is acceptable and reject "none" if it is not, or the manpage
should document "none" as well.

(The build failed anyway, due to memtest, but I'll see about that
later.)


-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap                   1.0.26     Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar
ii  gettext-base                  0.18.1.1-3 GNU Internationalization utilities
ii  gnu-fdisk                     1.2.4-3+b1 Linux fdisk replacement based on l

Versions of packages live-build suggests:
ii  dosfstools                    3.0.9-1    utilities for making and checking 
ii  fakeroot                      1.14.4-1   Gives a fake root environment
ii  genisoimage                   9:1.1.11-1 Creates ISO-9660 CD-ROM filesystem
pn  memtest86+ | memtest86        <none>     (no description available)
ii  mtools                        4.0.12-1   Tools for manipulating MSDOS files
ii  parted                        2.3-3      The GNU Parted disk partition resi
pn  squashfs-tools | genext2fs |  <none>     (no description available)
ii  sudo                          1.7.4p4-2  Provide limited super user privile
pn  syslinux | grub               <none>     (no description available)
pn  uuid-runtime                  <none>     (no description available)
pn  win32-loader                  <none>     (no description available)

-- no debconf information




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 29 Nov 2010 22:36:03 GMT) Full text and rfc822 format available.

Notification sent to Lars Wirzenius <liw@liw.fi>:
Bug acknowledged by developer. (Mon, 29 Nov 2010 22:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 605255-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 605255-close@bugs.debian.org
Subject: Bug#605255: fixed in live-build 2.0.8-1
Date: Mon, 29 Nov 2010 22:32:18 +0000
Source: live-build
Source-Version: 2.0.8-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_2.0.8-1_all.deb
  to main/l/live-build/live-build-cgi_2.0.8-1_all.deb
live-build_2.0.8-1.diff.gz
  to main/l/live-build/live-build_2.0.8-1.diff.gz
live-build_2.0.8-1.dsc
  to main/l/live-build/live-build_2.0.8-1.dsc
live-build_2.0.8-1_all.deb
  to main/l/live-build/live-build_2.0.8-1_all.deb
live-build_2.0.8.orig.tar.gz
  to main/l/live-build/live-build_2.0.8.orig.tar.gz
live-helper_2.0.8-1_all.deb
  to main/l/live-build/live-helper_2.0.8-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605255@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 29 Nov 2010 23:12:54 +0100
Source: live-build
Binary: live-build live-build-cgi live-helper
Architecture: source all
Version: 2.0.8-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-helper - Debian Live - System Build Scripts (transitional package)
Closes: 605255
Changes: 
 live-build (2.0.8-1) unstable; urgency=medium
 .
   [ Daniel Baumann ]
   * Replacing last occurences of lh with lb.
   * Adding warning about non-usefullnes of the stripped hook.
 .
   [ Ben Armstrong ]
   * Adding example auto scripts.
 .
   [ Daniel Baumann ]
   * Applying slightly modified patch from Michael Hudson
     <michael.hudson@canonical.com> to make arguments in debootstrap
     calls more robust.
   * Updating initramfs switch in lb config manpage (Closes: #605255).
Checksums-Sha1: 
 029ae3349c3f2d16088fde49dff5ef130e8bd189 1261 live-build_2.0.8-1.dsc
 71e6a66e2d115d0b38ca392e00945cc7959fadde 2135961 live-build_2.0.8.orig.tar.gz
 a8655e0b1f01e3db39214be774e142d03c11275c 43953 live-build_2.0.8-1.diff.gz
 5af7a18e412d0a74cd5570f994e584ee7a5981dd 1192868 live-build_2.0.8-1_all.deb
 975965b42edb75e841181076ab1d189c9e407a40 61076 live-build-cgi_2.0.8-1_all.deb
 abda3ef64c2acae386a368bc4ab975f85117208b 56416 live-helper_2.0.8-1_all.deb
Checksums-Sha256: 
 cf6220e0ef2d314589c55fefe85a108414a684b0080073315da2cb1e53747151 1261 live-build_2.0.8-1.dsc
 eeff794ca3ca926101578599d84ded5ab6fa6f1b7f31982f58f7ff1e153b0ca9 2135961 live-build_2.0.8.orig.tar.gz
 07a37018c7ecd6a9f724f073754fff126048b663093d56963bf9619b1128d14c 43953 live-build_2.0.8-1.diff.gz
 74d2ff62dc455d60a74d11aa09cbeb210c3aaf79813e0cd9c80eba532a2efb58 1192868 live-build_2.0.8-1_all.deb
 f706c4fad1fd862e5e677fa7349d45437f9a1f36a1283e968a866ceb7e8966c1 61076 live-build-cgi_2.0.8-1_all.deb
 c08fd019955e8ff52de96f8d2b3cd1ed6bcab7df4daf137b5eaba241d4bdd4a0 56416 live-helper_2.0.8-1_all.deb
Files: 
 94601fc8ea98e6a92c282bff35133977 1261 misc optional live-build_2.0.8-1.dsc
 806bea573dfdcfa151c527ba1d6b642d 2135961 misc optional live-build_2.0.8.orig.tar.gz
 6d316733bf372a0f7d525d94648571c1 43953 misc optional live-build_2.0.8-1.diff.gz
 a9063920e567c9f0dcb45c0b6c5d9f3a 1192868 misc optional live-build_2.0.8-1_all.deb
 a7918730cc894a5c7194a31ce0afc286 61076 misc optional live-build-cgi_2.0.8-1_all.deb
 e3434c4ca8cdf52866339721a64f8451 56416 misc optional live-helper_2.0.8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkz0JuIACgkQ+C5cwEsrK56LWQCeMkmKqkkCxhhR+jrl8dWUteDw
UWUAnjkDQ8h7EVcJprrzDB+ws+C9flxD
=JOqQ
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 29 Nov 2010 22:36:06 GMT) Full text and rfc822 format available.

Notification sent to Lars Wirzenius <liw@liw.fi>:
Bug acknowledged by developer. (Mon, 29 Nov 2010 22:36:06 GMT) Full text and rfc822 format available.

Message #15 received at 605255-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 605255-close@bugs.debian.org
Subject: Bug#605255: fixed in live-build 3.0~a8-1
Date: Mon, 29 Nov 2010 22:32:31 +0000
Source: live-build
Source-Version: 3.0~a8-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a8-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a8-1_all.deb
live-build_3.0~a8-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a8-1.debian.tar.gz
live-build_3.0~a8-1.dsc
  to main/l/live-build/live-build_3.0~a8-1.dsc
live-build_3.0~a8-1_all.deb
  to main/l/live-build/live-build_3.0~a8-1_all.deb
live-build_3.0~a8.orig.tar.gz
  to main/l/live-build/live-build_3.0~a8.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 605255@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 29 Nov 2010 23:19:28 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a8-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 605255
Changes: 
 live-build (3.0~a8-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Replacing last occurences of lh with lb.
   * Renaming 'packages lists' to 'package lists' all over the place.
   * Updating grub package name for grub version 1.
   * Adding warning about non-usefullnes of the stripped hook.
 .
   [ Ben Armstrong ]
   * Adding example auto scripts.
 .
   [ Daniel Baumann ]
   * Applying slightly modified patch from Michael Hudson
     <michael.hudson@canonical.com> to make arguments in debootstrap
     calls more robust.
   * Updating initramfs switch in lb config manpage (Closes: #605255).
Checksums-Sha1: 
 408c0da32ac5e9b437bd4654a22760e8a1c31225 1275 live-build_3.0~a8-1.dsc
 ce3f36b7a446978272278c69cee22d53f4adb539 1967264 live-build_3.0~a8.orig.tar.gz
 913602b7f36ecf53d4b4734a4354149fd0bcb20b 37836 live-build_3.0~a8-1.debian.tar.gz
 ec489b9e6c32ab13fd7531faaab0073c971f57ff 1123584 live-build_3.0~a8-1_all.deb
 29b859eee719dab3c52d4764576160dbabaa4678 54062 live-build-cgi_3.0~a8-1_all.deb
Checksums-Sha256: 
 1cc8c7aaf6a20ac2464f40a9c63248631d3213eaa15da520e9be9b0be673f41a 1275 live-build_3.0~a8-1.dsc
 61203ad34e96c34445efcaf80295432a6cd6e72b793b18b07fcd674510ce3d22 1967264 live-build_3.0~a8.orig.tar.gz
 752626203423061c1f4533e421b4ca1b1531fa2914cc95ce3086ced5e0846d54 37836 live-build_3.0~a8-1.debian.tar.gz
 46bd6f9d41a710ed76d1e7503e304df48eb64244591d5353dc3e87cdc7bb6cf7 1123584 live-build_3.0~a8-1_all.deb
 bf92adc9afd606ebfcb06ffa9d631a745999420902028d3db8ef90313d07ac08 54062 live-build-cgi_3.0~a8-1_all.deb
Files: 
 d23b4e69bb0dc11eebd6a03be1f16042 1275 misc optional live-build_3.0~a8-1.dsc
 43a2975450fdc008a49ae2752bc8b94d 1967264 misc optional live-build_3.0~a8.orig.tar.gz
 8847f7934e93a9b6034371e6a6a6971e 37836 misc optional live-build_3.0~a8-1.debian.tar.gz
 ed18c231aa7135e495c54c51c6f653f0 1123584 misc optional live-build_3.0~a8-1_all.deb
 c87e608ad46ea4a197dc10f893ffa605 54062 misc optional live-build-cgi_3.0~a8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkz0J9wACgkQ+C5cwEsrK55tJQCglyX3VH8ujIALIH6YJMpWTL0E
Hc4AoKaatq+F1lLv4voVIsln9SCgHErO
=aBdy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jan 2011 07:32:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:19:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.